---
updatedAt: 2026-10-06T17:40:26.000Z
agentTools:
  projectIndex: https://docs.akeyless.io/llms.txt
---

# /gateway-update-log-forwarding-google-chronicle

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "contact": {
      "email": "support@akeyless.io",
      "name": "Akeyless",
      "url": "http://akeyless.io"
    },
    "description": "The purpose of this application is to provide access to Akeyless API.",
    "title": "Operations & integrations",
    "version": "3.0"
  },
  "paths": {
    "/gateway-update-log-forwarding-google-chronicle": {
      "post": {
        "operationId": "gatewayUpdateLogForwardingGoogleChronicle",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/gatewayUpdateLogForwardingGoogleChronicle"
              }
            }
          },
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/gatewayUpdateLogForwardingResponse"
          },
          "default": {
            "$ref": "#/components/responses/errorResponse"
          }
        },
        "tags": [
          "Log-Forwarding"
        ],
        "x-docs-category": "Operations & integrations",
        "x-docs-group": "Log-Forwarding"
      }
    }
  },
  "tags": [
    {
      "name": "Log-Forwarding"
    }
  ],
  "x-readme": {
    "apply-tag-changes": true
  },
  "servers": [
    {
      "url": "https://api.akeyless.io"
    }
  ],
  "components": {
    "responses": {
      "errorResponse": {
        "description": "errorResponse wraps any error to return it as a JSON object with one \"error\"\nfield.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/JSONError"
            }
          }
        }
      },
      "gatewayUpdateLogForwardingResponse": {
        "description": "gatewayUpdateLogForwardingResponse wraps response body.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/gatewayUpdateLogForwardingOutput"
            }
          }
        }
      }
    },
    "schemas": {
      "JSONError": {
        "properties": {
          "error": {
            "type": "string",
            "x-go-name": "Err"
          }
        },
        "title": "JSONError wraps an error with JSON object.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client"
      },
      "gatewayUpdateLogForwardingGoogleChronicle": {
        "description": "gatewayUpdateLogForwardingGoogleChronicle is a command that updates log forwarding config (google-chronicle target)",
        "properties": {
          "customer-id": {
            "description": "Google chronicle customer id",
            "type": "string",
            "x-go-name": "CustomerID"
          },
          "enable": {
            "default": "true",
            "description": "Enable Log Forwarding [true/false]",
            "type": "string",
            "x-go-name": "Enable"
          },
          "gcp-key": {
            "description": "Base64-encoded service account private key text",
            "type": "string",
            "x-go-name": "ServiceAccountKey"
          },
          "json": {
            "default": false,
            "description": "Set output format to JSON",
            "type": "boolean",
            "x-go-name": "Json"
          },
          "log-type": {
            "description": "Google chronicle log type",
            "type": "string",
            "x-go-name": "LogType"
          },
          "output-format": {
            "default": "text",
            "description": "Logs format [text/json]",
            "type": "string",
            "x-go-name": "OutputFormat"
          },
          "pull-interval": {
            "default": "10",
            "description": "Pull interval in seconds",
            "type": "string",
            "x-go-name": "PullIntervalSec"
          },
          "region": {
            "description": "Google chronicle region [eu_multi_region/london/us_multi_region/singapore/tel_aviv/toronto/sydney/frankfurt/zurich/dammam/mumbai/tokyo]",
            "type": "string",
            "x-go-name": "Region"
          },
          "token": {
            "description": "Authentication token (see `/auth` and `/configure`)",
            "type": "string",
            "x-go-name": "Profile"
          },
          "uid-token": {
            "description": "The universal identity token, Required only for universal_identity authentication",
            "type": "string",
            "x-go-name": "UIDToken"
          }
        },
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      },
      "gatewayUpdateLogForwardingOutput": {
        "properties": {
          "updated": {
            "type": "boolean",
            "x-go-name": "Updated"
          }
        },
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      }
    }
  }
}
```